<?

include ('conf/configuracao.php');

include ("include/inicio.php");

include ('include/functions.php');



mysql_connect( $bd_host, $bd_user, $bd_senha )

	or die ( 'Não foi possível conectar ao Servidor.' );

mysql_select_db( $bd_database )

	or die ( 'Não foi possível conectar a Base de Dados.' );

?>

<table bgcolor="<? echo $cor_fund_tab; ?>" width="96%" border="0" cellspacing="0" cellpadding="5" align="center" bordercolor="<? echo $cor_bord_tab; ?>">

<tr>

	<td width="20%" valign="top">

		<font face="<? echo $tipo_fonte; ?>" size="<? echo $tam_fonte; ?>" color="<? echo $cor_texto; ?>">

			<div align="justify">

				<?

					include ("menu.php");

				?>

			</div>

		</font>

	</td>

	<td width="80%" valign="top">

<strong><div align="left"><font face="Verdana" size="2" color="#000000">Classificação Final</font></div></strong>

<?

$sql = "SELECT * FROM configuracao where codigo = 7";

$result = mysql_query($sql)

	or die ( 'Não foi possível executar a query 161.' );

$num = mysql_num_rows($result);

while($info = mysql_fetch_array($result)) {

if ($info["chave"] != 0) {

	echo '<br><br><center><font face="Verdana" size="2" color="#FF0000"><strong>Em breve estaremos publicando a classificação final do processo seletivo.</strong></font></center>';

	echo '</table>';

	echo '</td>';

	echo '</tr>';

	include ("include/fim.php");

	exit;

	}

}

?>

<table width="80%" border="0" cellspacing="0" cellpadding="0" align="center">

<tr>

	<td>



<div align="center">

	<strong><font face="Verdana" size="2" color="#000000">Procurar classificação</font></strong><br>

	<br>

	<form action="busca_resultado.php" method="post">

	<table width="90%" border="0" cellspacing="0" cellpadding="0" align="center">

		<tr>

			<td><strong><font face="Verdana" size="2" color="#000000">Nº Insc</font></strong></td>

			<td><input type="text" name="mat" size="30" maxlength="6"></td>

			<td><input type="submit" name="procurar" value="Iniciar Busca por Insc"></td>

		</tr>

		<tr>

			<td><strong><font face="Verdana" size="2" color="#000000">Nome</font></strong></td>

			<td><input type="text" name="nome" size="30" maxlength="40"></td>

			<td><input type="submit" name="procurar" value="Iniciar Busca por Nome"></td>

		</tr>

		<tr>

			<td colspan="3">

				<font face="Verdana" size="2" color="#FF0000"><strong><div align="justify">Para a busca por Nome do Candidato, pode ser utilizado palavras chaves como por exemplo: Antônio, Antonio, antônio, antonio, anto ....</div></strong></font>

			</td>

		</tr>

		</table>

</form>

</div>

	

	</td>

</tr>

</table>

<?

	if (!isset($curso)) {

		echo '<strong><font face="Verdana" size="2" color="#000000"><div align="center">Escolha o Curso</div></font></strong><br>';

		// Escolha do Curso 

		$sql = "SELECT * FROM cursos where codigo <= 10 ORDER by codigo_curso ASC";

		$result = mysql_query($sql)

			or die ( 'Não foi possível executar a query 161.' );

		$num = mysql_num_rows($result);

		if ($num == 0 ) {

			echo '<br><br><center>Não existe nenhum curso cadastrado no Sistema!!!</center>';

		}

		else {

			while($info = mysql_fetch_array($result)) {

						echo '<center><a href="classificacao.php?curso=' . $info["codigo"]. '"><font color = "000000" face ="verdana" size="2">' .$info["nome_curso"]. '</font></a></center>';

			}

		}

}

else {

				$sql_curso = "Select * from cursos where codigo = $curso";

				$result_curso = mysql_query($sql_curso)

					or die ( 'Não foi possível executar a query 161.' );

				$info_curso = mysql_fetch_array($result_curso);

				$curso_texto = $info_curso["nome_curso"];

				echo '<center><strong><font face="Verdana" size="2" color="#800000">Classificação Final do Processo Seletivo</font></strong><br>';

				echo '<font face="Verdana" size="2" color="#FF0000"><strong><font color="#000000">Curso de </font>' . $curso_texto . '</strong></font></div></center>';



	$sql = "SELECT * FROM resultado_final where curso = '$curso' order by colocacao";

	$result = mysql_query($sql)

		or die ( 'Não foi possível executar a query 161.' );

		$num = mysql_num_rows($result);

	if ($num == 0 ) {

		echo '<br><br><center>Curso não encontrado!!!</center>';

	}

	else {

		$cor = "FFFFFF";

		echo '<br><br>';

		echo '<table width="90%" border="1" cellspacing="0" cellpadding="0" align="center">';

			echo '<tr>';

				echo '<td width="12%" align="center">';

					echo '<font face="Verdana" size="2" color="#000000"><strong>Colocação</strong></font>';

				echo '</td>';

				echo '<td width="12%" align="center">';

					echo '<font face="Verdana" size="2" color="#000000"><strong>Nº Insc</strong></font>';

				echo '</td>';

				echo '<td width="49%" align="center">';

					echo '<font face="Verdana" size="2" color="#000000"><strong>Nome</strong></font>';

				echo '</td>';

				echo '<td width="12%" align="center">';

					echo '<font face="Verdana" size="2" color="#000000"><strong>Pontuação</strong></font>';

				echo '</td>';

				echo '<td width="15%" align="center">';

					echo '<font face="Verdana" size="2" color="#000000"><strong>Situação</strong></font>';

				echo '</td>';

			echo '</tr>';

		while($info = mysql_fetch_array($result)) {

			echo '<tr>';

				echo '<td bgcolor="'. $cor .'" align="center"><font color="#000000" face="verdana" size="2">';

					echo $info["colocacao"];

				echo '</font></td>';

				echo '<td bgcolor="'. $cor .'" align="center"><font color="#000000" face="verdana" size="2">';

					echo $info["matricula"];

					$matricula = $info["matricula"];

				echo '</font></td>';

				echo '<td bgcolor="'. $cor .'"><font color="#000000" face="verdana" size="2">';

					$sql_nome = "SELECT nome_candidato FROM candidato where codigo = $matricula";

					$result_nome = mysql_query($sql_nome)

						or die ( 'Não foi possível executar a query 161.' );

					$info_nome = mysql_fetch_array($result_nome);

					echo $info_nome["nome_candidato"];

				echo '</font></td>';

				echo '<td bgcolor="'. $cor .'" align="center"><font color="#000000" face="verdana" size="2">';

					echo $info["total_final"];

				echo '</font></td>';

				echo '<td bgcolor="'. $cor .'" align="center"><font color="#000000" face="verdana" size="2"><b>';

					$situacao = $info["situacao"];

					if ($situacao == 0)

						echo '<font color="red">Desclassificado</font>';

					if ($situacao == 1)

						echo '<font color="339900">Classificado</font>';

					if ($situacao == 2)

						echo '<font color="red">Desistente</font>';

					if ($situacao == 3)

						echo '<font color="#9999cc">Excedente</font>';

					if ($situacao == 4)

						echo '<font color="blue">Matriculado</font>';

				echo '</b></font></td>';

			echo '</tr>';

		if ($cor == "FFFFFF")

			$cor = "E1E1E1";

		else

			$cor = "FFFFFF";

		}

		echo '</table>';

	}

}

?>



	</td>

</tr>

</table>







<? 

	include ("include/fim.php");

